Resolido Docs
Statistics

AI agent statistics

GET
/stats/ai

AI agent decisions, tool success rate and breakdown by agent and channel.

Authorization

bearer stats:read
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: stats:read

Query Parameters

from?string

Start of the period, ISO 8601 date or datetime (e.g. 2026-10-01). Default: 30 days ago.

to?string

End of the period, ISO 8601 date or datetime. Default: now.

Response Body

Success

application/json
  1. response
decisions*
statusCounts*
toolSuccessRate*number
toolCount*number
byAgent*array<>
byChannel*array<>
curl -X GET "https://example.com/stats/ai"
{  "decisions": {    "today": 0,    "last7Days": 0,    "period": 0  },  "statusCounts": {    "autoApplied": 0,    "proposed": 0,    "rejected": 0,    "failed": 0  },  "toolSuccessRate": 0,  "toolCount": 0,  "byAgent": [    {      "agentId": "string",      "agentName": "string",      "count": 0    }  ],  "byChannel": [    {      "channel": "string",      "count": 0    }  ]}